package com.transsion.myapplication;

import android.content.Context;
import android.util.Log;

import com.transsion.push.PushManager;
import com.transsion.push.broadcast.IPushBroadcastReceiver;


public class PushBroadcastReceiver extends IPushBroadcastReceiver {

    @Override
    public void onMessageReceive(Context context, long messageId, String transData) {
        Log.d("PUSH_", context.getPackageName() + " receive a transmit message, " + transData);
        PushManager.getInstance().trackShow(messageId);
        PushManager.getInstance().trackClick(messageId);
    }

    @Override
    public void onSdkInitSuccess(Context context, String clientId, String token) {
        Log.d("PUSH_", context.getPackageName() + " init complete clientId:" + clientId + ", token:" + token);
    }
}
